Skip to content

Text to PDF

Easily convert plain text into a clean, professional PDF document. Paste your text or upload a .txt file.

2 credits per conversionOutput: .pdfTry on web

Accepted formats

.txt

Parameters

NameTypeRequiredDescription
files[]fileNoFile(s) to convert
text_contentstringNoText content (alternative to file)

Code example

curl -X POST "https://gurupdf.com/api/v1/convert/text-to-pdf" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -F "files[]=@/path/to/document.pdf" \
  -F "text_content=Hello World"

Related tools